%undefine __find_provides
%undefine __find_requires

Summary:	An OO graph drawing class library for PHP5
Name:		php5-jpgraph
Version:	2.1.2
Release:	%mkrel 1
License:	QPL
Group:		Networking/Other
URL:		http://www.aditus.nu/jpgraph/
Source0:	http://members.chello.se/jpgraph/jpgdownloads/jpgraph-%{version}.tar.bz2
Requires:	php php-common php-gd gd
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JpGraph is a OO Graph drawing library for PHP 5.0.x and above.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

Extensive documentations are availible at:
http://www.aditus.nu/jpgraph/

%package	doc
Summary:	Documenation for JpGraph
Group:		Networking/Other

%description	doc
JpGraph is a OO Graph drawing library for PHP 5.0.x and above.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

This package contains the documenation for %{name}.

%prep

%setup -q -n jpgraph-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
find . -type f -perm 0754 -exec chmod 755 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/php5-jpgraph
cp -aRf src/* %{buildroot}%{_datadir}/php5-jpgraph/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* 
%dir %{_datadir}/php5-jpgraph
%{_datadir}/php5-jpgraph/*

%files doc
%defattr(-,root,root)
%doc docs/*

%changelog
* Sat May 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-1mdv2007.0
- 2.1.2

* Mon Feb 20 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdk
- 2.1.1 (Minor bugfixes)

* Sat Feb 18 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1-1mdk
- 2.1

* Sat Jan 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0-1mdk
- 2.0

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-0.beta.1mdk
- 2.0beta

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.18-1mdk
- 1.18 (Major feature enhancements)
- renamed (once again...) to php4-jpgraph to reflect it works
  with php4 only
- relocated to %{_datadir}/php4-jpgraph
- don't trash images
- fix deps

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.17-1mdk
- rename the package (JpGraph/jpgraph)
- move to %{_datadir}/jpgraph
- speed up the "build"
- fix file permissions and anti ^M's

* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.17-1mdk
- 1.17

* Tue Jun 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.16-1mdk
- 1.16

* Thu Dec 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.14-1mdk
- 1.14
- put docs in subpackage

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.13-1mdk
- 1.13

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.12.2-1mdk
- 1.12.2
- misc spec file fixes

* Thu Apr 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.12-1mdk
- 1.12

* Mon Feb 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.11-1mdk
- 1.11

* Tue Jan 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10.1-1mdk
- 1.10.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10-2mdk
- build release

* Mon Dec 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10-1mdk
- new version

* Mon Oct 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.9-1mdk
- new version

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8-1mdk
- new version
- misc spec file fixes
- do not require non existant php extensions

* Wed Jul 10 2002 <oden.eriksson@kvikkjokk.net> 1.7-1mdk
- new version

* Sun Jun  2 2002 <oden.eriksson@kvikkjokk.net> 1.6.3-1mdk
- initial cooker contrib
